NNG_HTTP_SERVER_RELEASE(3http)

NAME
nng_http_server_release - release HTTP server instance

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_server_release(nng_http_server *server);

DESCRIPTION

The nng_http_server_release() releases an instance of an HTTP server that was previously held with nng_http_server_hold().

This effectively drops the reference count on the server instance. When the reference count drops to zero, then the server and all resources associated with it (e.g. HTTP handlers, connections, etc.) are deallocated. (If the server is "running" when this occurs, then the server is stopped.)

    Important

    It is an error to release an instance of a server that has not previously been held, or to attempt to release an instance more times than it has been held.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_server_hold(3http), nng_http_server_stop(3http), nng(7)